"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.XrpAddress = exports.AddressBase = void 0;
const web3_1 = __importDefault(require("web3"));
const utils_1 = require("../utils/utils");
class AddressBase {
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    constructor(data) {
        this.privateData = data;
    }
    /**
     * Exposing the private data for the derived classes (dev only/python like privatization)
     */
    get _data() {
        return this.privateData;
    }
    /**
     * Static method to convert a string to a standard hash
     * @param a 0x prefixed string to be hashed
     * @returns standardized un-prefixed keccak256 hash
     */
    static toStandardHash(a) {
        return (0, utils_1.unPrefix0x)(web3_1.default.utils.keccak256(a));
    }
}
exports.AddressBase = AddressBase;
var XrpAddress_1 = require("./addressObjects/XrpAddress");
Object.defineProperty(exports, "XrpAddress", { enumerable: true, get: function () { return XrpAddress_1.XrpAddress; } });
//# sourceMappingURL=AddressBase.js.map