"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const globalSettings_1 = require("../../src/global-settings/globalSettings");
describe("Global settings tests ", () => {
    it("set callbacks", () => {
        function loggingCallback(message) {
            console.log(message);
        }
        function warningCallback(message) {
            console.warn(message);
        }
        function errorCallback(message) {
            console.error(message);
        }
        globalSettings_1.mccSettings.setLoggingCallback = loggingCallback;
        globalSettings_1.mccSettings.setWarningCallback = warningCallback;
        globalSettings_1.mccSettings.setErrorCallback = errorCallback;
        const expected = {
            loggingCallback: loggingCallback,
            warningCallback: warningCallback,
            errorCallback: errorCallback,
        };
        (0, chai_1.expect)(globalSettings_1.mccSettings).to.be.eql(expected);
    });
});
//# sourceMappingURL=globalsettings.test.js.map